Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Hyperswitch","colors":{"primary":"#4F8EFF","light":"#6BA3FF","dark":"#2563EB"},"logo":{"light":"/logo/light.svg","dark":"/logo/dark.svg"},"favicon":"/favicon.png","api":{"openapi":["v1/openapi_spec_v1.json","v2/openapi_spec_v2.json","rust_locker_open_api_spec.yml","decision_engine_openapi-specs.json"]},"background":{"color":{"light":"#FAFBFC","dark":"#1d1d1d"}},"navbar":{"links":[{"href":"https://inviter.co/hyperswitch-slack","label":"Contact Us"},{"href":"https://deepwiki.com/juspay/hyperswitch","label":"Explore with Deepwiki"}],"primary":{"type":"button","label":"Self-Deploy","href":"https://docs.hyperswitch.io/hyperswitch-open-source/overview"}},"footer":{"socials":{"github":"https://github.com/juspay/hyperswitch","linkedin":"https://www.linkedin.com/company/hyperswitch"}},"integrations":{"gtm":{"tagId":"GTM-PLBNKQFQ"},"mixpanel":{"projectToken":"b00355f29d9548d1333608df71d5d53d"}},"contextual":{"options":["copy","claude","chatgpt","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"hasAudioNarration":false,"customDomains":[],"gitSource":{"type":"github","owner":"local","repo":"local","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":"local","isBase":true},"buildId":"local","clientVersion":"0.0.4064"},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false,"isLoggedInCli":false},"customCss":[],"page":{"pagePath":"v1/disputes/disputes--retrieve","slug":"/v1/disputes/disputes--retrieve","pageMetadata":{"openapi":"get /disputes/{dispute_id}","description":"Retrieves a dispute","href":"/v1/disputes/disputes--retrieve","title":"Disputes - Retrieve Dispute"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves a dispute\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /disputes/{dispute_id}","description":"Retrieves a dispute","href":"/v1/disputes/disputes--retrieve","title":"Disputes - Retrieve Dispute"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Disputes"],"summary":"Disputes - Retrieve Dispute","description":"Retrieves a dispute","operationId":"Retrieve a Dispute","parameters":["c8b1fab3-906a-47b3-9629-82303e2bedf5","69495771-422b-446f-a47d-d57c96c3c23d","74cb5e96-906e-4401-bdee-bac825501ae7"],"responses":{"200":"7b12e8c0-0ef4-4e65-be87-c3076780aace","404":"cdc42902-e076-4764-9dfd-544375e47272"},"security":["0aef01f2-3380-40f6-ae95-dac21264861f"],"method":"get","type":"path","servers":["f61470cd-dcf1-4ff9-8d18-5ea2fd311348"],"path":"/disputes/{dispute_id}","baseUrlOptions":["https://sandbox.hyperswitch.io"],"title":"Disputes - Retrieve Dispute","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"c8b1fab3-906a-47b3-9629-82303e2bedf5":{"name":"dispute_id","in":"path","description":"The identifier for dispute","required":true,"schema":{"type":"string","isRequired":true,"description":"The identifier for dispute","uniqueKey":"","typeLabel":"string"}},"69495771-422b-446f-a47d-d57c96c3c23d":{"name":"force_sync","in":"query","description":"Decider to enable or disable the connector call for dispute retrieve request","required":false,"schema":{"oneOf":[{"type":"boolean","description":"Decider to enable or disable the connector call for dispute retrieve request","uniqueKey":"oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Decider to enable or disable the connector call for dispute retrieve request","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"boolean | null"}},"74cb5e96-906e-4401-bdee-bac825501ae7":{"name":"X-Connected-Merchant-Id","in":"header","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","required":false,"schema":{"oneOf":[{"type":"string","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"example":"merchant_abc"}},"responses":{"7b12e8c0-0ef4-4e65-be87-c3076780aace":{"description":"The dispute was retrieved successfully","content":{"application/json":{"schema":{"type":"object","required":["dispute_id","payment_id","attempt_id","amount","currency","dispute_stage","dispute_status","connector","connector_status","connector_dispute_id","created_at","is_already_refunded"],"properties":{"dispute_id":{"type":"string","description":"The identifier for dispute","isRequired":true,"uniqueKey":"dispute_id","typeLabel":"string"},"payment_id":{"type":"string","description":"The identifier for payment_intent","isRequired":true,"uniqueKey":"payment_id","typeLabel":"string"},"attempt_id":{"type":"string","description":"The identifier for payment_attempt","isRequired":true,"uniqueKey":"attempt_id","typeLabel":"string"},"amount":{"type":"string","description":"Connector specific types to send","isRequired":true,"uniqueKey":"amount","typeLabel":"string"},"currency":{"type":"string","description":"The three-letter ISO 4217 currency code (e.g., \"USD\", \"EUR\") for the payment amount. This field is mandatory for creating a payment.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLF","CLP","CNY","COP","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SLL","SOS","SRD","SSP","STD","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWL"],"isRequired":true,"uniqueKey":"currency","typeLabel":"enum\u003cstring>"},"dispute_stage":{"type":"string","description":"Stage of the dispute","enum":["pre_dispute","dispute","pre_arbitration","arbitration","dispute_reversal"],"isRequired":true,"uniqueKey":"dispute_stage","typeLabel":"enum\u003cstring>"},"dispute_status":{"type":"string","description":"Status of the dispute","enum":["dispute_opened","dispute_expired","dispute_accepted","dispute_cancelled","dispute_challenged","dispute_won","dispute_lost"],"isRequired":true,"uniqueKey":"dispute_status","typeLabel":"enum\u003cstring>"},"connector":{"type":"string","description":"connector to which dispute is associated with","isRequired":true,"uniqueKey":"connector","typeLabel":"string"},"connector_status":{"type":"string","description":"Status of the dispute sent by connector","isRequired":true,"uniqueKey":"connector_status","typeLabel":"string"},"connector_dispute_id":{"type":"string","description":"Dispute id sent by connector","isRequired":true,"uniqueKey":"connector_dispute_id","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","description":"Time at which dispute is received","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"is_already_refunded":{"type":"boolean","description":"Shows if the disputed amount(dispute_lost statuses only) + refunded amount is greater than captured amount","isRequired":true,"uniqueKey":"is_already_refunded","typeLabel":"boolean"},"connector_reason":{"oneOf":[{"type":"string","description":"Reason of dispute sent by connector","uniqueKey":"connector_reason.oneOf.0","typeLabel":"string"},{"type":"null","description":"Reason of dispute sent by connector","uniqueKey":"connector_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"connector_reason","typeLabel":"string | null"},"connector_reason_code":{"oneOf":[{"type":"string","description":"Reason code of dispute sent by connector","uniqueKey":"connector_reason_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Reason code of dispute sent by connector","uniqueKey":"connector_reason_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"connector_reason_code","typeLabel":"string | null"},"challenge_required_by":{"oneOf":[{"type":"string","format":"date-time","description":"Evidence deadline of dispute sent by connector","uniqueKey":"challenge_required_by.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Evidence deadline of dispute sent by connector","uniqueKey":"challenge_required_by.oneOf.1","typeLabel":"null"}],"uniqueKey":"challenge_required_by","typeLabel":"string\u003cdate-time> | null"},"connector_created_at":{"oneOf":[{"type":"string","format":"date-time","description":"Dispute created time sent by connector","uniqueKey":"connector_created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Dispute created time sent by connector","uniqueKey":"connector_created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"connector_created_at","typeLabel":"string\u003cdate-time> | null"},"connector_updated_at":{"oneOf":[{"type":"string","format":"date-time","description":"Dispute updated time sent by connector","uniqueKey":"connector_updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Dispute updated time sent by connector","uniqueKey":"connector_updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"connector_updated_at","typeLabel":"string\u003cdate-time> | null"},"profile_id":{"oneOf":[{"type":"string","description":"The `profile_id` associated with the dispute","uniqueKey":"profile_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The `profile_id` associated with the dispute","uniqueKey":"profile_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"profile_id","typeLabel":"string | null"},"merchant_connector_id":{"oneOf":[{"type":"string","description":"The `merchant_connector_id` of the connector / processor through which the dispute was processed","uniqueKey":"merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The `merchant_connector_id` of the connector / processor through which the dispute was processed","uniqueKey":"merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant_connector_id","typeLabel":"string | null"},"additional_details":{"oneOf":[{"type":"object","description":"Additional details of a dispute, stored as jsonb","properties":{"network_details":{"oneOf":[{"type":"object","description":"Card network specific details of a dispute","required":["type"],"properties":{"type":{"type":"string","enum":["visa"],"isRequired":true,"uniqueKey":"additional_details.oneOf.0.network_details.oneOf.0.type","typeLabel":"enum\u003cstring>"},"rapid_dispute_resolution":{"oneOf":[{"type":"object","description":"Visa Rapid Dispute Resolution details","required":["applied"],"properties":{"applied":{"type":"boolean","description":"Whether Rapid Dispute Resolution has been applied","isRequired":true,"uniqueKey":"additional_details.oneOf.0.network_details.oneOf.0.rapid_dispute_resolution.oneOf.0.applied","typeLabel":"boolean"}},"uniqueKey":"additional_details.oneOf.0.network_details.oneOf.0.rapid_dispute_resolution.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"additional_details.oneOf.0.network_details.oneOf.0.rapid_dispute_resolution.oneOf.1","typeLabel":"null"}],"uniqueKey":"additional_details.oneOf.0.network_details.oneOf.0.rapid_dispute_resolution","typeLabel":"object | null"}},"uniqueKey":"additional_details.oneOf.0.network_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"additional_details.oneOf.0.network_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"additional_details.oneOf.0.network_details","typeLabel":"object | null"}},"uniqueKey":"additional_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"additional_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"additional_details","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"dispute_id":"\u003cstring>","payment_id":"\u003cstring>","attempt_id":"\u003cstring>","amount":"\u003cstring>","currency":"AED","dispute_stage":"pre_dispute","dispute_status":"dispute_opened","connector":"\u003cstring>","connector_status":"\u003cstring>","connector_dispute_id":"\u003cstring>","created_at":"2023-11-07T05:31:56Z","is_already_refunded":true,"connector_reason":"\u003cstring>","connector_reason_code":"\u003cstring>","challenge_required_by":"2023-11-07T05:31:56Z","connector_created_at":"2023-11-07T05:31:56Z","connector_updated_at":"2023-11-07T05:31:56Z","profile_id":"\u003cstring>","merchant_connector_id":"\u003cstring>","additional_details":{"network_details":{"type":"visa","rapid_dispute_resolution":{"applied":true}}}}}},"exampleType":"generated"}},"exampleType":"generated"},"cdc42902-e076-4764-9dfd-544375e47272":{"description":"Dispute does not exist in our records","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"0aef01f2-3380-40f6-ae95-dac21264861f":{"api_key":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"}}},"servers":{"f61470cd-dcf1-4ff9-8d18-5ea2fd311348":{"url":"https://sandbox.hyperswitch.io","description":"Sandbox Environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"},"schema":{"title":"api-key","type":"string","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api_key","name":"api-key"}],"title":"api_key"}]},"originalFileLocation":"v1/openapi_spec_v1.json"},"subdomain":"docs.transactlyltd.com","siteName":"Hyperswitch","title":"Disputes - Retrieve Dispute - Hyperswitch","navMaps":{"firstHrefInVersion":{"1.0.0":{"href":"/v1/disputes/disputes--retrieve","matchLevel":0},"2.0.0 [BETA]":{"href":"/introduction","matchLevel":3}},"firstHrefInLanguage":{}},"originalFileLocation":"v1/disputes/disputes--retrieve.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves a dispute\">\u003cmeta data-mint-head name=\"application-name\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/favicons/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/favicons/favicon-32x32.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/favicons/favicon-16x16.png\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/favicons/favicon.ico\">\u003cmeta data-mint-head property=\"og:title\" content=\"Disputes - Retrieve Dispute - Hyperswitch\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves a dispute\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Hyperswitch\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://local./v1/disputes/disputes--retrieve\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/disputes/disputes--retrieve.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Disputes - Retrieve Dispute - Hyperswitch\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves a dispute\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/disputes/disputes--retrieve.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/favicons/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4F8EFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://local./v1/disputes/disputes--retrieve\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v1/disputes/disputes--retrieve.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Hyperswitch\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Hyperswitch","nav":{"tabs":[{"tab":"Documentation","versions":[{"version":"1.0.0","groups":[{"group":"Get Started","pages":[{"title":"👋 Welcome to Hyperswitch API Reference","sidebarTitle":"Introduction","icon":"rectangle-code","iconType":"solid","href":"/introduction"}]},{"group":"Essentials","pages":[{"title":"Authentication Types","href":"/essentials/authentication"},{"title":"Error Codes","href":"/essentials/error_codes"},{"title":"Rate Limits","href":"/essentials/rate_limit"},{"title":"Go-live Checklist","href":"/essentials/go-live"}]},{"group":"Payments Core APIs","pages":[{"title":"Setup instructions","sidebarTitle":"Setup Instructions","icon":"flag","iconType":"solid","href":"/v1/payments/setup--instructions"},{"title":"Payment flows","sidebarTitle":"Payment Flows","icon":"arrows-retweet","iconType":"solid","href":"/v1/payments/payment--flows"},{"group":"Payments","pages":[{"title":"Payments - Create","openapi":"post /payments","href":"/v1/payments/payments--create"},{"title":"Payments - Update","openapi":"post /payments/{payment_id}","href":"/v1/payments/payments--update"},{"title":"Payments - Confirm","openapi":"post /payments/{payment_id}/confirm","href":"/v1/payments/payments--confirm"},{"title":"Payments - Retrieve","openapi":"get /payments/{payment_id}","href":"/v1/payments/payments--retrieve"},{"title":"Payments - Cancel","openapi":"post /payments/{payment_id}/cancel","href":"/v1/payments/payments--cancel"},{"title":"Payments - Cancel Post Capture","openapi":"post /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture"},{"title":"Payments - Cancel Post Capture Retrieve","openapi":"get /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture-retrieve"},{"title":"Payments - Capture","openapi":"post /payments/{payment_id}/capture","href":"/v1/payments/payments--capture"},{"title":"Payments - Incremental Authorization","openapi":"post /payments/{payment_id}/incremental_authorization","href":"/v1/payments/payments--incremental-authorization"},{"title":"Payments - Extended Authorization","openapi":"post /payments/{payment_id}/extend_authorization","href":"/v1/payments/payments--extend-authorization"},{"title":"Payments - Session token","openapi":"post /payments/session_tokens","href":"/v1/payments/payments--session-token"},{"title":"Payments Link - Retrieve","openapi":"get /payment_link/{payment_link_id}","href":"/v1/payments/payments-link--retrieve"},{"title":"Payments - List","openapi":"get /payments/list","href":"/v1/payments/payments--list"},{"title":"Payments - External 3DS Authentication","openapi":"post /payments/{payment_id}/3ds/authentication","href":"/v1/payments/payments--external-3ds-authentication"},{"title":"Payments complete authorize","openapi":"post /{payment_id}/complete_authorize","href":"/v1/payments/payments--complete-authorize"},{"title":"Payments - Update Metadata","openapi":"post /payments/{payment_id}/update_metadata","href":"/v1/payments/payments--update-metadata"},{"title":"Payments - Submit Eligibility Data","openapi":"post /payments/{payment_id}/eligibility","href":"/v1/payments/payments--submit-eligibility-data"}]},{"group":"Payment Methods","pages":[{"title":"Payment Method - Create","openapi":"post /v1/payment-methods","href":"/v2/payment-methods/payment-method--create-v1"},{"title":"Payment method retrieve v1","openapi":"get /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--retrieve-v1"},{"title":"Payment Method - Update","openapi":"put /v1/payment-methods/{id}/update-saved-payment-method","href":"/v2/payment-methods/payment-method--update-v1"},{"title":"Payment Method - Delete","openapi":"delete /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--delete-v1"},{"title":"Payment Method - List Customer Saved Payment Methods","openapi":"get /v1/customers/{id}/saved-payment-methods","href":"/v2/payment-methods/payment-method--list-customer-saved-payment-methods-v1"},{"title":"Payment Method - Get Payment Method Token Data","openapi":"get /v1/payment-methods/token/{payment_method_temporary_token}/details","href":"/v2/payment-methods/payment-method--payment-method-token-to-payment-method-id-v1"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /v1/{customer_id}/payment-methods/{payment_method_id}/default","href":"/v2/payment-methods/payment-method--set-default-payment-method-for-customer-v1"},{"title":"List payment methods for a Payment","openapi":"get /payments/{payment_id}/client","href":"/v1/payment-methods/list-payment-methods-for-a-payment-via-client-sdk"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /v1/customers","href":"/v2/customers/customers--create-v1"},{"title":"Customers - Retrieve","openapi":"get /v1/customers/{id}","href":"/v2/customers/customers--retrieve-v1"},{"title":"Customers - Retrieve using Merchant Reference ID","openapi":"get /v1/customers/reference/{merchant_reference_id}","href":"/v1/customers/customers--retrieve-by-merchant-reference-id"},{"title":"Customers - Update","openapi":"put /v1/customers/{id}","href":"/v2/customers/customers--update-v1"},{"title":"Customers - Delete","openapi":"delete /v1/customers/{id}","href":"/v2/customers/customers--delete-v1"},{"title":"Customers - List","openapi":"get /v1/customers/list","href":"/v2/customers/customers--list-v1"}]},{"group":"Proxy","pages":[{"title":"Proxy","openapi":"post /v1/proxy","href":"/v2/proxy/proxy-v1"}]},{"group":"Payment Method Session","pages":[{"title":"Payment Method Session - Create","openapi":"post /v1/payment-method-sessions","href":"/v2/payment-method-session/payment-method-session--create-v1"},{"title":"Payment Method Session - Retrieve","openapi":"get /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--retrieve-v1"},{"title":"Payment Method Session - List Payment Methods","openapi":"get /v1/payment-method-sessions/{id}/list-payment-methods","href":"/v2/payment-method-session/payment-method-session--list-payment-methods-v1"},{"title":"Payment Method Session - Update a saved payment method","openapi":"put /v1/payment-method-sessions/{id}/update-saved-payment-method","href":"/v2/payment-method-session/payment-method-session--update-a-saved-payment-method-v1"},{"title":"Payment Method Session - Confirm a payment method session","openapi":"post /v1/payment-method-sessions/{id}/confirm","href":"/v2/payment-method-session/payment-method-session--confirm-a-payment-method-session-v1"},{"title":"Payment Method Session - Delete a saved payment method","openapi":"delete /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--delete-a-saved-payment-method-v1"}]},{"group":"Refunds","pages":[{"title":"Refunds - Create","openapi":"post /refunds","href":"/v1/refunds/refunds--create"},{"title":"Refunds - Update","openapi":"post /refunds/{refund_id}","href":"/v1/refunds/refunds--update"},{"title":"Refunds - Retrieve","openapi":"get /refunds/{refund_id}","href":"/v1/refunds/refunds--retrieve"},{"title":"Refunds - List","description":"Lists all the refunds associated with the merchant, or for a specific payment if payment_id is provided","openapi":"post /refunds/list","href":"/v1/refunds/refunds--list"}]},{"group":"Disputes","pages":[{"title":"Disputes - Retrieve Dispute","openapi":"get /disputes/{dispute_id}","href":"/v1/disputes/disputes--retrieve"},{"title":"Disputes - List Disputes","description":"Lists all the Disputes for a merchant","openapi":"get /disputes/list","href":"/v1/disputes/disputes--list"},{"title":"Disputes - List Disputes for The Given Profiles","openapi":"get /disputes/profile/list","href":"/v1/disputes/disputes--list-profiles"},{"title":"Disputes - Accept Dispute","openapi":"post /disputes/accept/{dispute_id}","href":"/v1/disputes/disputes--accept"},{"title":"Disputes - Uploads Dispute Evidence","openapi":"post /disputes/evidence","href":"/v1/disputes/disputes--submit-evidence"},{"title":"Disputes - Attach Evidence to Dispute","openapi":"put /disputes/evidence","href":"/v1/disputes/disputes--attach-evidence"},{"title":"Disputes - Retrieve Dispute Evidence","openapi":"get /disputes/evidence/{dispute_id}","href":"/v1/disputes/disputes--retrieve-evidence"},{"title":"Disputes - Delete Evidence attached to a Dispute","openapi":"delete /disputes/evidence","href":"/v1/disputes/disputes--delete-evidence"},{"title":"Disputes - Get Disputes Aggregate","openapi":"get /disputes/aggregate","href":"/v1/disputes/disputes--get-aggregate"},{"title":"Disputes - Get Disputes Aggregate for Profiles","openapi":"get /disputes/profile/aggregate","href":"/v1/disputes/disputes--get-aggregate-profiles"},{"title":"Disputes - Disputes Filters","openapi":"get /disputes/filter","href":"/v1/disputes/disputes--get-filters"},{"title":"Disputes - Disputes Filters Profile","openapi":"get /disputes/profile/filter","href":"/v1/disputes/disputes--get-filters-profiles"}]},{"group":"Authentication","pages":[{"title":"Authentication - Create","openapi":"post /authentication","href":"/v1/authentication/authentication--create"},{"title":"Authentication - POST Eligibility Check","openapi":"post /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--post-eligibility-check"},{"title":"Authentication - GET Eligibility Check","openapi":"get /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--get-eligibility-check"}]},{"group":"Payouts","pages":[{"title":"Payouts - Create","openapi":"post /payouts/create","href":"/v1/payouts/payouts--create"},{"title":"Payouts - Update","openapi":"post /payouts/{payout_id}","href":"/v1/payouts/payouts--update"},{"title":"Payouts - Cancel","openapi":"post /payouts/{payout_id}/cancel","href":"/v1/payouts/payouts--cancel"},{"title":"Payouts - Fulfill","openapi":"post /payouts/{payout_id}/fulfill","href":"/v1/payouts/payouts--fulfill"},{"title":"Payouts - Confirm","openapi":"post /payouts/{payout_id}/confirm","href":"/v1/payouts/payouts--confirm"},{"title":"Payouts - Retrieve","openapi":"get /payouts/{payout_id}","href":"/v1/payouts/payouts--retrieve"},{"title":"Payouts - List","openapi":"get /payouts/list","href":"/v1/payouts/payouts--list"},{"title":"Payouts - List available filters","openapi":"post /payouts/filter","href":"/v1/payouts/payouts--list-filters"},{"title":"Payouts - List using filters","openapi":"post /payouts/list","href":"/v1/payouts/payouts--filter"}]}]},{"group":"Deprecated APIs","pages":[{"group":"Mandates","pages":[{"title":"Mandates - Revoke Mandate","openapi":"post /mandates/revoke/{mandate_id}","href":"/v1/mandates/mandates--revoke-mandate"},{"title":"Mandates - Retrieve Mandate","openapi":"get /mandates/{mandate_id}","href":"/v1/mandates/mandates--retrieve-mandate"},{"title":"Mandates customer mandates list","openapi":"post /customers/{customer_id}/mandates","href":"/v1/mandates/mandates--customer-mandates-list"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /customers","href":"/v1/customers/customers--create"},{"title":"Customers - Retrieve","openapi":"get /customers/{customer_id}","href":"/v1/customers/customers--retrieve"},{"title":"Customers - Update","openapi":"post /customers/{customer_id}","href":"/v1/customers/customers--update"},{"title":"Customers - Delete","openapi":"delete /customers/{customer_id}","href":"/v1/customers/customers--delete"},{"title":"Customers - List","openapi":"get /customers/list","href":"/v1/customers/customers--list"}]},{"group":"Payment Methods","pages":[{"title":"PaymentMethods - Create","openapi":"post /payment_methods","href":"/v1/payment-methods/paymentmethods--create"},{"title":"Payment Method - Retrieve","openapi":"get /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--retrieve"},{"title":"Payment Method - Update","openapi":"post /payment_methods/{method_id}/update","href":"/v1/payment-methods/payment-method--update"},{"title":"Payment Method - Delete","openapi":"delete /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--delete"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/payment-methods/payment-method--set-default-payment-method-for-customer"},{"title":"List payment methods for a Merchant","openapi":"get /account/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-merchant"},{"title":"List customer saved payment methods for a Payment","openapi":"get /customers/payment_methods","href":"/v1/payment-methods/list-customer-saved-payment-methods-for-a-payment"},{"title":"List payment methods for a Customer","openapi":"get /customers/{customer_id}/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-customer"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/customer-set-default-payment-method/customers--set-default-payment-method"}]}]},{"group":"Account management APIs","pages":[{"group":"Organization","pages":[{"title":"Organization - Create","openapi":"post /organization","href":"/v1/organization/organization--create"},{"title":"Organization - Retrieve","openapi":"get /organization/{id}","href":"/v1/organization/organization--retrieve"},{"title":"Organization - Update","openapi":"put /organization/{id}","href":"/v1/organization/organization--update"}]},{"group":"Merchant Account","pages":[{"title":"Merchant Account - Create","openapi":"post /accounts","href":"/v1/merchant-account/merchant-account--create"},{"title":"Merchant Account - Retrieve","openapi":"get /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--retrieve"},{"title":"Merchant Account - Update","openapi":"post /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--update"},{"title":"Merchant Account - Delete","openapi":"delete /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--delete"},{"title":"Merchant Account - KV Status","openapi":"post /accounts/{account_id}/kv","href":"/v1/merchant-account/merchant-account--kv-status"}]},{"group":"Business Profile","pages":[{"title":"Profile - Create","openapi":"post /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--create"},{"title":"Profile - Update","openapi":"post /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--update"},{"title":"Profile - Retrieve","openapi":"get /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--retrieve"},{"title":"Profile - Delete","openapi":"delete /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--delete"},{"title":"Profile - List","openapi":"get /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--list"}]},{"group":"Platform Account","pages":[{"title":"Platform - Create","openapi":"post /user/create_platform","href":"/v1/platform/platform--create"}]},{"group":"API Key","pages":[{"title":"API Key - Create","openapi":"post /api_keys/{merchant_id}","href":"/v1/api-key/api-key--create"},{"title":"API Key - Retrieve","openapi":"get /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--retrieve"},{"title":"API Key - Update","openapi":"post /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--update"},{"title":"API Key - Revoke","openapi":"delete /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--revoke"},{"title":"API Key - List","openapi":"get /api_keys/{merchant_id}/list","href":"/v1/api-key/api-key--list"}]},{"group":"Merchant Connector Account","pages":[{"title":"Merchant Connector - Create","openapi":"post /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--create"},{"title":"Merchant Connector - Retrieve","openapi":"get /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--retrieve"},{"title":"Merchant Connector - Update","openapi":"post /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--update"},{"title":"Merchant Connector - Delete","openapi":"delete /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--delete"},{"title":"Merchant Connector - List","openapi":"get /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--list"}]},{"group":"GSM (Global Status Mapping)","pages":[{"title":"Gsm - Create","openapi":"post /gsm","href":"/v1/gsm/gsm--create"},{"title":"Gsm - Get","openapi":"post /gsm/get","href":"/v1/gsm/gsm--get"},{"title":"Gsm - Update","openapi":"post /gsm/update","href":"/v1/gsm/gsm--update"},{"title":"Gsm - Delete","openapi":"post /gsm/delete","href":"/v1/gsm/gsm--delete"}]}]},{"group":"Other APIs","pages":[{"group":"Event","pages":[{"title":"Events - List","openapi":"post /events/{merchant_id}","href":"/v1/event/events--list"},{"title":"Events - Delivery Attempt List","openapi":"get /events/{merchant_id}/{event_id}/attempts","href":"/v1/event/events--delivery-attempt-list"},{"title":"Events - Manual Retry","openapi":"post /events/{merchant_id}/{event_id}/retry","href":"/v1/event/events--manual-retry"}]},{"group":"Poll","pages":[{"title":"Poll - Retrieve Poll Status","openapi":"get /poll/status/{poll_id}","href":"/v1/poll/poll--retrieve-poll-status"}]},{"group":"Blocklist","pages":[{"title":"Get blocklist","openapi":"get /blocklist","href":"/v1/blocklist/get-blocklist"},{"title":"Post blocklist","openapi":"post /blocklist","href":"/v1/blocklist/post-blocklist"},{"title":"Delete blocklist","openapi":"delete /blocklist","href":"/v1/blocklist/delete-blocklist"},{"title":"Post blocklisttoggle","openapi":"post /blocklist/toggle","href":"/v1/blocklist/post-blocklisttoggle"},{"title":"Blocklist count","openapi":"get /blocklist/count","href":"/v1/blocklist/blocklist--count"},{"title":"Blocklist lookup","openapi":"get /blocklist/lookup","href":"/v1/blocklist/blocklist--lookup"},{"title":"Blocklist batch upload","openapi":"post /blocklist/batch","href":"/v1/blocklist/blocklist--batch-upload"},{"title":"Blocklist batch list","openapi":"get /blocklist/batch","href":"/v1/blocklist/blocklist--batch-list"},{"title":"Blocklist batch status","openapi":"get /blocklist/batch/{job_id}","href":"/v1/blocklist/blocklist--batch-status"},{"title":"Blocklist export create","openapi":"post /blocklist/export","href":"/v1/blocklist/blocklist--export-create"},{"title":"Blocklist - Clone Entries","openapi":"post /blocklist/clone","href":"/v1/blocklist/blocklist--clone"}]},{"group":"Routing","pages":[{"title":"Routing - List","openapi":"get /routing","href":"/v1/routing/routing--list"},{"title":"Routing - Create","openapi":"post /routing","href":"/v1/routing/routing--create"},{"title":"Routing - Auth Rate Based","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/success_based/create","href":"/v1/routing/routing--success-based"},{"title":"Routing - Elimination","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/elimination/create","href":"/v1/routing/routing--elimination"},{"title":"Routing - Retrieve Config","openapi":"get /routing/active","href":"/v1/routing/routing--retrieve-config"},{"title":"Routing - Deactivate","openapi":"post /routing/deactivate","href":"/v1/routing/routing--deactivate"},{"title":"Routing - Retrieve Default Config","openapi":"get /routing/default","href":"/v1/routing/routing--retrieve-default-config"},{"title":"Routing - Update Default Config","openapi":"post /routing/default","href":"/v1/routing/routing--update-default-config"},{"title":"Routing - Retrieve Default For Profile","openapi":"get /routing/default/profile","href":"/v1/routing/routing--retrieve-default-for-profile"},{"title":"Routing - Update Default For Profile","openapi":"post /routing/default/profile/{profile_id}","href":"/v1/routing/routing--update-default-for-profile"},{"title":"Routing - Retrieve","openapi":"get /routing/{routing_algorithm_id}","href":"/v1/routing/routing--retrieve"},{"title":"Routing - Activate config","openapi":"post /routing/{routing_algorithm_id}/activate","href":"/v1/routing/routing--activate-config"},{"title":"Routing - Evaluate","openapi":"post /routing/evaluate","href":"/v1/routing/routing--evaluate"},{"title":"Routing - Feedback","openapi":"post /routing/feedback","href":"/v1/routing/routing--feedback"},{"title":"Routing - Rule Evaluate","openapi":"post /routing/rule/evaluate","href":"/v1/routing/routing--rule-evaluate"}]},{"group":"Relay","pages":[{"title":"Relay - Create","openapi":"post /relay","href":"/v1/relay/relay"},{"title":"Relay - Retrieve","openapi":"get /relay/{relay_id}","href":"/v1/relay/relay--retrieve"}]},{"group":"Schemas","pages":[{"title":"Outgoing webhook","href":"/v1/schemas/outgoing--webhook"}]},{"group":"Subscriptions","pages":[{"title":"Subscription - Create","openapi":"post /subscriptions/create","href":"/v1/subscriptions/create"},{"title":"Subscription - Confirm","openapi":"post /subscriptions/{subscription_id}/confirm","href":"/v1/subscriptions/confirm"},{"title":"Subscription - Create and Confirm","openapi":"post /subscriptions","href":"/v1/subscriptions/create-and-confirm"},{"title":"Subscription - Update","openapi":"put /subscriptions/{subscription_id}/update","href":"/v1/subscriptions/update"},{"title":"Subscription - Retrieve","openapi":"get /subscriptions/{subscription_id}","href":"/v1/subscriptions/get"},{"title":"Get plans","href":"/v1/subscriptions/get-plans"},{"title":"Subscription - Get Estimate","openapi":"get /subscriptions/estimate","href":"/v1/subscriptions/estimate"},{"title":"Subscription - Pause Subscription","openapi":"post /subscriptions/{subscription_id}/pause","href":"/v1/subscriptions/pause"},{"title":"Subscription - Resume Subscription","openapi":"post /subscriptions/{subscription_id}/resume","href":"/v1/subscriptions/resume"},{"title":"Subscription - Cancel Subscription","openapi":"post /subscriptions/{subscription_id}/cancel","href":"/v1/subscriptions/cancel"}]}]}]},{"version":"2.0.0 [BETA]","pages":[{"title":"2.0.0 [BETA]","href":"/introduction"}]}]},{"tab":"Locker API Reference","pages":[{"title":"Locker API Reference","href":"/locker-api-reference/overview"}]},{"tab":"Decision Engine API Reference","pages":[{"title":"Decision Engine API Reference","href":"/decision-engine-api-reference/introduction"}]}]},"basePath":"","title":"Disputes - Retrieve Dispute - Hyperswitch","buildId":"223f4d0f93b3","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DLP13Bsa.js","utils-LK_Rx0Zu.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BSq7eEfK.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bchcwpn2.js","snippetPresets-B-BsDEmk.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CNoZnlAG.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DqKAmR6F.js","shallow-Dq5-SwG1.js","getApiPlaygroundDisplay-B6YMrfFr.js","CodeSnippet-DvvqqrVi.js","CodeSnippets-D6Vj56PD.js","Page-03hAnTHd.js","getPastedJson-BKlc8wx2.js","icon-HMNWawTa.js","MethodPill-Dd_Z_kqi.js","DuplicateIcon-DK5o2DOi.js","createIcon-BhUMOhLi.js","DynamicMarkdown-CoGC92CO.js","SectionHeading-K9MvhMbX.js","axios-vUo_bRtp.js","Markdown-DqqHYs0x.js","clsx-DfU2JnNK.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C8phz87P.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BVRLOPpC.js"]}